Package org.apache.commons.math3.fitting.leastsquares

# Interface ValueAndJacobianFunction

All Superinterfaces:
  `MultivariateJacobianFunction`

public interface ValueAndJacobianFunction extends MultivariateJacobianFunction
A interface for functions that compute a vector of values and can compute their derivatives (Jacobian).

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`RealMatrix`
`computeJacobian(double[] params)`
Compute the Jacobian.
`RealVector`
`computeValue(double[] params)`
Compute the value.

### Methods inherited from interface org.apache.commons.math3.fitting.leastsquares.MultivariateJacobianFunction

`value`

## Method Details

### computeValue

RealVector computeValue(double[] params)
Compute the value.

Parameters:
  `params` - Point.
Returns:
  the value at the given point.

### computeJacobian

RealMatrix computeJacobian(double[] params)
Compute the Jacobian.

Parameters:
  `params` - Point.
Returns:
  the Jacobian at the given point.